Package net.shibboleth.idp.ui.taglib

# Class ServiceDescriptionTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
net.shibboleth.idp.ui.taglib.ServiceTagSupport
net.shibboleth.idp.ui.taglib.ServiceDescriptionTag

All Implemented Interfaces:
  `BodyTag`, `IterationTag`, `JspTag`, `Tag`, `Serializable`

public class ServiceDescriptionTag extends ServiceTagSupport
Display the description from the <mdui:UIInfo>.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static org.slf4j.Logger`
`log`
Class logger.
`private static final long`
`serialVersionUID`
Serial ID.

### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ServiceDescriptionTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`

### Methods inherited from class net.shibboleth.idp.ui.taglib.ServiceTagSupport

`addClassAndId, buildHyperLink, getRelyingPartyUIContext, getServiceName, setCssClass, setCssId, setCssStyle, setUiContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial ID.

See Also:
  - Constant Field Values

### log

@Nonnull private static org.slf4j.Logger log
Class logger.

## Constructor Details

### ServiceDescriptionTag

public ServiceDescriptionTag()

## Method Details

### doEndTag

public int doEndTag() throws JspException

Specified by:
  `doEndTag` in interface `Tag`
Overrides:
  `doEndTag` in class `BodyTagSupport`
Throws:
  `JspException`